﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>SpreadsheetGear Large Data Set Demo</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h2>SpreadsheetGear Large Data Set Demo</h2>
        <p>This example uses a spreadsheet with a fair amount of data to lookup based on several criteria</p>
        <h4>Set Sales Data Criteria</h4>
        <asp:Table ID="Table1" runat="server">
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lblEmployee" runat="server" Text="Employee: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:DropDownList ID="selEmployee" runat="server" Width="100">
                        <asp:ListItem Value="Amy" Text="Amy" />
                        <asp:ListItem Value="Brian" Text="Brian" />
                        <asp:ListItem Value="Colin" Text="Colin" />
                        <asp:ListItem Value="Diane" Text="Diane" />
                        <asp:ListItem Value="Edward" Text="Edward" />
                        <asp:ListItem Value="Frank" Text="Frank" />
                        <asp:ListItem Value="Gary" Text="Gary" />
                        <asp:ListItem Value="Hannah" Text="Hannah" />
                        <asp:ListItem Value="Ian" Text="Ian" />
                        <asp:ListItem Value="Joanne" Text="Joanne" />
                        <asp:ListItem Value="Karen" Text="Karen" />
                        <asp:ListItem Value="Lee" Text="Lee" />
                        <asp:ListItem Value="Michelle" Text="Michelle" />
                        <asp:ListItem Value="Nick" Text="Nick" />
                        <asp:ListItem Value="Olivia" Text="Olivia" />
                        <asp:ListItem Value="Paul" Text="Paul" />
                        <asp:ListItem Value="Quintin" Text="Quintin" />
                        <asp:ListItem Value="Rose" Text="Rose" />
                        <asp:ListItem Value="Steve" Text="Steve" />
                        <asp:ListItem Value="Tony" Text="Tony" />
                    </asp:DropDownList>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lblYear" runat="server" Text="Year: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:DropDownList ID="selYear" runat="server" Width="100">
                        <asp:ListItem Value="2010" Text="2010" />
                        <asp:ListItem Value="2011" Text="2011" />
                        <asp:ListItem Value="2012" Text="2012" />
                        <asp:ListItem Value="2013" Text="2013" />
                        <asp:ListItem Value="2014" Text="2014" />
                        <asp:ListItem Value="2015" Text="2015" />
                    </asp:DropDownList>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lblQuarter" runat="server" Text="Quarter: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:DropDownList ID="selQuarter" runat="server" Width="100">
                        <asp:ListItem Value="1" Text="1" />
                        <asp:ListItem Value="2" Text="2" />
                        <asp:ListItem Value="3" Text="3" />
                        <asp:ListItem Value="4" Text="4" />
                    </asp:DropDownList>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lblAge" runat="server" Text="Customer Age: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:DropDownList ID="selAge" runat="server" Width="100">
                        <asp:ListItem Value="0" Text="Under 25" />
                        <asp:ListItem Value="25" Text="25 to 39" />
                        <asp:ListItem Value="40" Text="40 to 54" />
                        <asp:ListItem Value="55" Text="55 to 69" />
                        <asp:ListItem Value="70" Text="Over 69" />
                    </asp:DropDownList>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lblRange" runat="server" Text="Product: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:DropDownList ID="selRange" runat="server" Width="100">
                        <asp:ListItem Value="Product 1" Text="Product 1" />
                        <asp:ListItem Value="Product 2" Text="Product 2" />
                        <asp:ListItem Value="Product 3" Text="Product 3" />
                    </asp:DropDownList>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lblManufacturer" runat="server" Text="Manufacturer: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:DropDownList ID="selManufacturer" runat="server" Width="100">
                        <asp:ListItem Value="ABC Company" Text="ABC Company" />
                        <asp:ListItem Value="XYZ Company" Text="XYZ Company" />
                    </asp:DropDownList>
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
        <h4>Get Sales Data Results -  data in Excel, lookup in Excel</h4>
        <asp:Button ID="calcButton" runat="server" Text="Get Data" OnClick="calcButton_Click" />
        <asp:Table ID="Table2" runat="server">
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lbl1" runat="server" Text="Month 1: "></asp:Label><br />
                    <asp:Label ID="lbl2" runat="server" Text="Month 2: "></asp:Label><br />
                    <asp:Label ID="lbl3" runat="server" Text="Month 3: "></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:Label ID="lblMonth1" runat="server" Text=""></asp:Label><br />
                    <asp:Label ID="lblMonth2" runat="server" Text=""></asp:Label><br />
                    <asp:Label ID="lblMonth3" runat="server" Text=""></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell>
                    <asp:Label ID="lbl0" runat="server" Text="Total: " Font-Bold="True"></asp:Label>
                </asp:TableCell>
                <asp:TableCell>
                    <asp:Label ID="lblTotal" runat="server" Text="" Font-Bold="True"></asp:Label>
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
        <p><br /><asp:Label ID="lblSec" runat="server" Text="Seconds To Run: "></asp:Label><asp:Label ID="lblSeconds" runat="server" Text=""></asp:Label></p>
    </div>
    </form>
</body>
</html>
